Replace a view service
curl --request PUT \
--url https://api.coralogix.com/mgmt/openapi/4/data-exploration/views/v1/views/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Logs view",
"timeSelection": {},
"filters": {
"filters": [
{
"name": "applicationName",
"selectedValues": {}
}
]
},
"folderId": "3dc02998-0b50-4ea8-b68a-4779d716fa1f",
"isCompactMode": true
}
'import requests
url = "https://api.coralogix.com/mgmt/openapi/4/data-exploration/views/v1/views/{id}"
payload = {
"name": "Logs view",
"timeSelection": {},
"filters": { "filters": [
{
"name": "applicationName",
"selectedValues": {}
}
] },
"folderId": "3dc02998-0b50-4ea8-b68a-4779d716fa1f",
"isCompactMode": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Logs view',
timeSelection: {},
filters: {filters: [{name: 'applicationName', selectedValues: {}}]},
folderId: '3dc02998-0b50-4ea8-b68a-4779d716fa1f',
isCompactMode: true
})
};
fetch('https://api.coralogix.com/mgmt/openapi/4/data-exploration/views/v1/views/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 52,
"name": "Logs view",
"timeSelection": {
"quickSelection": {
"seconds": 3600,
"caption": "Last Hour"
}
},
"filters": {
"filters": [
{
"name": "applicationName",
"selectedValues": {}
}
]
},
"folderId": "3dc02998-0b50-4ea8-b68a-4779d716fa1f",
"isCompactMode": true,
"searchQuery": {
"query": "<string>"
}
}Views Service
Replace a view service
Replaces an existing view
Replace a view service
Authorizations
API key authentication
Path Parameters
id
Example:
52
Body
application/json
Response for views.
View name
Minimum string length:
1Example:
"Logs view"
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unique identifier for folders
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"3dc02998-0b50-4ea8-b68a-4779d716fa1f"
Show child attributes
Show child attributes
Available options:
VIEW_TYPE_UNSPECIFIED, VIEW_TYPE_LOGS, VIEW_TYPE_TEMPLATES, VIEW_TYPE_ARCHIVE_LOGS, VIEW_TYPE_ARCHIVE_TEMPLATES Response
200 - application/json
Response for views.
id
Example:
52
View name
Minimum string length:
1Example:
"Logs view"
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unique identifier for folders
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"3dc02998-0b50-4ea8-b68a-4779d716fa1f"
Show child attributes
Show child attributes
Available options:
VIEW_TYPE_UNSPECIFIED, VIEW_TYPE_LOGS, VIEW_TYPE_TEMPLATES, VIEW_TYPE_ARCHIVE_LOGS, VIEW_TYPE_ARCHIVE_TEMPLATES Was this page helpful?
⌘I